## golang-github-masterzen-winrm 0.0~git20160323.0752679

=== Makefile ===
NO_COLOR=\033[0m
OK_COLOR=\033[32;01m
ERROR_COLOR=\033[31;01m
WARN_COLOR=\033[33;01m
DEPS = $(go list -f '{{range .TestImports}}{{.}} {{end}}' ./... | fgrep -v 'winrm')

all: deps
	@mkdir -p bin/
	@echo -e "$(OK_COLOR)==> Building$(NO_COLOR)"
	@go build -o $(GOPATH)/bin/winrm github.com/masterzen/winrm

deps:
	@echo -e "$(OK_COLOR)==> Installing dependencies$(NO_COLOR)"
	@go get -d -v ./...
	@echo $(DEPS) | xargs -n1 go get -d

updatedeps:
	go list ./... | xargs go list -f '{{join .Deps "\n"}}' | grep -v github.com/masterzen/winrm | sort -u | xargs go get -f -u -v

clean:
	@rm -rf bin/ pkg/ src/

format:
	go fmt ./...

ci: deps
	@echo -e "$(OK_COLOR)==> Testing with Coveralls...$(NO_COLOR)"
	"$(CURDIR)/scripts/test.sh"

test: deps
	@echo -e "$(OK_COLOR)==> Testing...$(NO_COLOR)"
	go test ./...

.PHONY: all clean deps format test updatedeps

=== debian/changelog ===
golang-github-masterzen-winrm (0.0~git20160323.0752679-3) unstable; urgency=medium

  * deb/rules: use override_dh_install-arch to prevent FTBFS in
    arch-indep builds (Closes: #853261).

 -- Daniel Stender <stender@debian.org>  Tue, 31 Jan 2017 01:45:02 +0100

golang-github-masterzen-winrm (0.0~git20160323.0752679-2) unstable; urgency=medium

  * solve binaries-have-conflict with txwinrm (Closes: #848234):
    + rename /usr/bin/winrm via override for dh_install in deb/rules.
    + add debian/winrm.NEWS with info on that change.
    + updated manpage.
  * deb/control:
    + corrected description text.
    + bumped standards version to 3.9.8 (no changes needed).
  * add deb/watch (uses Eriberto's pseudopackage for "No-Release").

 -- Daniel Stender <stender@debian.org>  Thu, 19 Jan 2017 18:59:25 +0100

golang-github-masterzen-winrm (0.0~git20160323.0752679-1) unstable; urgency=medium

  * Initial release (Closes: #808773).

 -- Daniel Stender <stender@debian.org>  Wed, 13 Apr 2016 15:06:16 +0200

=== debian/control ===
Source: golang-github-masterzen-winrm
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Stender <stender@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-masterzen-simplexml-dev,
               golang-github-masterzen-xmlpath-dev,
               golang-github-nu7hatch-gouuid-dev,
               golang-check.v1-dev,
               pandoc
Standards-Version: 3.9.8
Homepage: https://github.com/masterzen/winrm
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-masterzen-winrm.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-masterzen-winrm.git
XS-Go-Import-Path: github.com/masterzen/winrm

Package: golang-github-masterzen-winrm-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-masterzen-simplexml-dev,
         golang-github-masterzen-xmlpath-dev,
         golang-github-nu7hatch-gouuid-dev,
         golang-check.v1-dev,
Description: Windows remote command execution library for Go
 winrm is a Google Go library for writing applications using
 Windows Remote Management (WinRM/WinRS) for the execution
 of commands on remote Windows machines. It doesn't supports domain
 users, but only local account authentication.

Package: winrm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: tool for remote command execution on Windows machines
 winrm is a tool for the execution of commands on remote Windows machines
 through the Windows Remote Management (WinRM). The remote system must be
 prepared for the use of that. The tool doesn't support domain
 users, but only local account authentication.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_install-arch:
	dh_install
	mv -v debian/winrm/usr/bin/winrm debian/winrm/usr/bin/winrm-go

override_dh_installdocs:
	pandoc -f markdown -t plain -o README README.md
	dh_installdocs -A README

=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Release/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

## golang-github-masterzen-winrm 0.0~git20170601.0.1ca0ba6

=== debian/changelog ===
golang-github-masterzen-winrm (0.0~git20170601.0.1ca0ba6-3) unstable; urgency=medium

  * Team upload.
  * add 0002-go1.10-ftbfs.patch (Closes: #890934)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 25 Feb 2018 15:55:35 +0100

golang-github-masterzen-winrm (0.0~git20170601.0.1ca0ba6-2) unstable; urgency=medium

  * Add 0001-Use-golang-stdlib-instead-of-azure-fork.patch,
    so we can get rid of depending on old golang-github-azure-azure-sdk-for-go
  * Drop 0001-Change-azure-sdk-for-go-to-azure-version.patch
  * Bump Standards-Version to 4.0.1
    + Change priority to optional

 -- Shengjing Zhu <i@zhsj.me>  Wed, 16 Aug 2017 16:34:22 +0800

golang-github-masterzen-winrm (0.0~git20170601.0.1ca0ba6-1) unstable; urgency=medium

  * Adopt package (Closes: #865331).
  * New snapshot release.
  * d/compat: bump to v10.
  * d/control:
    + Bump Standards-Version to 4.0.0.
    + Bump dependency of debhelper to 10.
    + Add autopkgtest-pkg-go Testsuite.
  * d/copyright:
    + Change format url to https.
    + Add myself to copyright holder.
  * Binary package winrm is split from this project by upstream.

 -- Shengjing Zhu <i@zhsj.me>  Tue, 25 Jul 2017 10:31:05 +0800

=== debian/control ===
Source: golang-github-masterzen-winrm
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Shengjing Zhu <i@zhsj.me>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any (>= 1.7~),
               golang-github-azure-go-ntlmssp-dev,
               golang-github-masterzen-simplexml-dev,
               golang-github-masterzen-xmlpath-dev,
               golang-github-nu7hatch-gouuid-dev,
               golang-gopkg-check.v1-dev,
               pandoc
Standards-Version: 4.0.1
Homepage: https://github.com/masterzen/winrm
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-masterzen-winrm.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-masterzen-winrm.git
XS-Go-Import-Path: github.com/masterzen/winrm
Testsuite: autopkgtest-pkg-go

Package: golang-github-masterzen-winrm-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-azure-go-ntlmssp-dev,
         golang-github-masterzen-simplexml-dev,
         golang-github-masterzen-xmlpath-dev,
         golang-github-nu7hatch-gouuid-dev,
Description: Windows remote command execution library for Go
 winrm is a Google Go library for writing applications using
 Windows Remote Management (WinRM/WinRS) for the execution
 of commands on remote Windows machines. It doesn't supports domain
 users, but only local account authentication.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_installdocs:
	pandoc -f markdown -t plain -o README README.md
	dh_installdocs -A README

## golang-github-masterzen-winrm 0.0~git20200615.c42b513

=== debian/changelog ===
golang-github-masterzen-winrm (0.0~git20200615.c42b513-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + golang-github-masterzen-winrm-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 14 Dec 2022 04:46:22 +0000

golang-github-masterzen-winrm (0.0~git20200615.c42b513-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Shengjing Zhu ]
  * Update uscan watch file
  * Update maintainer and uploader email address
  * New upstream version 0.0~git20200615.c42b513
  * Update Depends for new version
  * Stop converting markdown doc
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root
  * Remove patches no longer needed

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 28 Jun 2020 01:01:33 +0800

=== debian/control ===
Source: golang-github-masterzen-winrm
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any (>= 1.7~),
               golang-github-azure-go-ntlmssp-dev,
               golang-github-christrenkamp-goxpath-dev,
               golang-github-gofrs-uuid-dev,
               golang-github-masterzen-simplexml-dev,
               golang-gopkg-check.v1-dev,
Standards-Version: 4.5.0
Homepage: https://github.com/masterzen/winrm
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-masterzen-winrm
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-masterzen-winrm.git
XS-Go-Import-Path: github.com/masterzen/winrm
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-masterzen-winrm-dev
Architecture: all
Depends: golang-github-azure-go-ntlmssp-dev,
         golang-github-christrenkamp-goxpath-dev,
         golang-github-gofrs-uuid-dev,
         golang-github-masterzen-simplexml-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: foreign
Description: Windows remote command execution library for Go
 winrm is a Google Go library for writing applications using
 Windows Remote Management (WinRM/WinRS) for the execution
 of commands on remote Windows machines. It doesn't supports domain
 users, but only local account authentication.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/masterzen/winrm/ \
  HEAD
